Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 595150 - Computer hook off after standby
Computer hook off after standby
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 12:21 EDT by Gerhard
Modified: 2013-01-10 00:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel module files (1.21 KB, application/x-gzip)
2010-06-03 16:26 EDT, Don Zickus
no flags Details
unknownnmi-output (2.90 KB, text/plain)
2010-08-26 02:30 EDT, Gerhard
no flags Details

  None (edit)
Description Gerhard 2010-05-23 12:21:32 EDT
Description of problem:

While my laptop couldn't went into standby with the last kernel (2.6.33.3-85), it's now function with the new one (2.6.33.4-95) but have sometime problems to reactivate it after that. Sometimes I only see the mouse-cursor and it hook up (in this case I see the error in the messages-log), and sometimes when it happens, I get the message directly on the screen... it says:

Uhhuh. NMI received for unknown reason 90 on CPU 0.
You have some hardware problem, likely on the PCI bus.
Dazed and confused, but trying to continue

If second case happens, also the LEDs on the keyboard are blinking and tells me a kernel-panic.

I can't say, if this also happens with F12 or before, because I didn't used more then one user at a time.


How reproducible:

Steps to Reproduce:
1. While two users are in a seperated gnome-session (both has firefox, thunderbird and gnome-terminal launched), close the top of my laptop to put the computer into standby-mode.
2. Reopen it - computer starts up again and hook off.


Actual results:
Have to press the Power-Button to restart the computer.


Expected results:
GDM-User-Selection screen should pop up.
Comment 1 Gerhard 2010-05-24 03:38:07 EDT
Today it also happend, while only one user was logged in.
I got the kernel-error-message on the bash-screen.
Comment 2 Don Zickus 2010-06-03 16:26:06 EDT
Created attachment 419655 [details]
kernel module files

Hi,

I have created a kernel module to locate the device causing the NMI.

In order to use it please follow the instructions below.

- download the attached gzip'd file
- unpack it and cd to unknownnmi
  - you should see Makefile and unknownnmi.c
- yum install kernel-devel (as root)
  - this is needed to build the kernel module
- run 'make'
  - it should create a module unknownnmi.ko
- run 'insmod ./unknownnmi.ko'
  - check dmesg for an RHNMI message saying it loaded
- try to generate the nmi

Once an nmi is generated, some info should have been generated in the kernel
logs (dmesg and /var/log/messages).  Ignore the WARN for now, it is 
misplaced.

Please run the following to gather data:

dmesg | grep RHNMI > /tmp/nmi.txt
echo "LSPCI OUTPUT" >> /tmp/nmi.txt
lspci >> /tmp/nmi.txt
lspci -t >> /tmp/nmi.txt

Then attach the /tmp/nmi.txt to this bugzilla so I can review the data.

It should have enough data to pinpoint the device that is causing the 
problem.  After that is determined, we can decide the next steps (most 
likely a firmware update if possible).

Please let me know if you have issues with the above steps.

Thanks,
Don
Comment 3 Gerhard 2010-06-03 18:59:33 EDT
I tried to compile and insert the module, but can't insert it.
With both 2.6.33.4-95 and 2.6.33.5-112 I get following message:

### cut begin ###

# insmod ./unknownnmi.ko 
insmod: error inserting './unknownnmi.ko': -1 Invalid module format

### cut end ###

Maybe you have an idea, why I get this output.

Thx a lot!
Comment 4 Gerhard 2010-08-26 02:30:21 EDT
Created attachment 441118 [details]
unknownnmi-output

Hope this helpls. ;-)
Comment 5 Bug Zapper 2011-06-02 09:39:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:35:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.